gsm0808_handover_request_ack Struct Reference
GSM 08.08 / 3GPP TS 48.008 A Interface

`#include <gsm0808.h>`

## Data Fields

const uint8_t * | l3_info
uint8_t | l3_info_len
bool | chosen_channel_present
uint8_t | chosen_channel
uint8_t | chosen_encr_alg
| For A5/N set chosen_encr_alg = N+1, e.g. More...
enum gsm0808_permitted_speech | chosen_speech_version
bool | speech_codec_chosen_present
struct gsm0808_speech_codec | speech_codec_chosen
const struct sockaddr_storage * | aoip_transport_layer
bool | more_items
| always set this to false More...

## Field Documentation

## aoip_transport_layer

const struct sockaddr_storage* gsm0808_handover_request_ack::aoip_transport_layer

## chosen_channel

uint8_t gsm0808_handover_request_ack::chosen_channel

Referenced by gsm0808_create_handover_request_ack().

## chosen_channel_present

bool gsm0808_handover_request_ack::chosen_channel_present

## chosen_encr_alg

uint8_t gsm0808_handover_request_ack::chosen_encr_alg

For A5/N set chosen_encr_alg = N+1, e.g.

chosen_encr_alg = 1 means A5/0 (no encryption), 2 means A5/1, 4 means A5/3. Set chosen_encr_alg = 0 to omit the Chosen Encryption Algorithm IE.

Referenced by gsm0808_create_handover_request_ack().

## chosen_speech_version

enum gsm0808_permitted_speech gsm0808_handover_request_ack::chosen_speech_version

Referenced by gsm0808_create_handover_request_ack().

## l3_info

const uint8_t* gsm0808_handover_request_ack::l3_info

Referenced by gsm0808_create_handover_request_ack().

## l3_info_len

uint8_t gsm0808_handover_request_ack::l3_info_len

Referenced by gsm0808_create_handover_request_ack().

## more_items

bool gsm0808_handover_request_ack::more_items

always set this to false

## speech_codec_chosen

struct gsm0808_speech_codec gsm0808_handover_request_ack::speech_codec_chosen

## speech_codec_chosen_present

bool gsm0808_handover_request_ack::speech_codec_chosen_present

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/gsm0808.h